SystemOrganization addCategory: #ConfigurationOfLoom!

Object subclass: #ConfigurationOfLoom
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfLoom'!

!ConfigurationOfLoom class methodsFor: 'development support' stamp: 'AlexandreBergel 9/5/2012 10:42'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfLoom class methodsFor: 'private' stamp: 'AlexandreBergel 9/5/2012 10:42'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfLoom class methodsFor: 'private' stamp: 'AlexandreBergel 9/5/2012 10:42'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfLoom class methodsFor: 'private' stamp: 'AlexandreBergel 9/5/2012 10:42'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfLoom class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 9/5/2012 10:42'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfLoom class methodsFor: 'loading' stamp: 'AlexandreBergel 9/5/2012 10:42'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfLoom class methodsFor: 'loading' stamp: 'AlexandreBergel 9/5/2012 10:42'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfLoom class methodsFor: 'loading' stamp: 'AlexandreBergel 9/5/2012 10:42'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfLoom class methodsFor: 'accessing' stamp: 'AlexandreBergel 9/5/2012 10:42'!
project

	^self new project! !

!ConfigurationOfLoom class methodsFor: 'development support' stamp: 'AlexandreBergel 9/5/2012 10:42'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfLoom methodsFor: 'baselines' stamp: 'AlexandreBergel 9/5/2012 10:42'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Loom'.
		spec package: 'Loom'.
		spec group: 'default' with: #('Loom' ). ].
! !

!ConfigurationOfLoom methodsFor: 'baselines' stamp: 'AlexandreBergel 9/21/2012 11:21'!
baseline02: spec
	<version: '0.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Loom'.
		spec package: 'Loom'.
		spec package: 'LoomPharo'.
		spec group: 'default' with: #('Loom' 'LoomPharo' ). ].
! !

!ConfigurationOfLoom methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 9/27/2012 15:50'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.31'.
! !

!ConfigurationOfLoom methodsFor: 'accessing' stamp: 'AlexandreBergel 9/5/2012 10:42'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/11/2012 23:19'!
version010: spec
	<version: '0.10' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9 : Minor fix when sync with VW
0.10 : Added time in the events'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/11/2012 23:19'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.10';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.5'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 15:03'!
version011: spec
	<version: '0.11' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.10 : Added time in the events
0.11 : Added a strategy to acquire threads. It simplifies the profiler'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 15:03'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.11';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.5'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 15:45'!
version012: spec
	<version: '0.12' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.11 : Added a strategy to acquire threads. It simplifies the profiler
0.12 : Added acquiring process strategy. Useful for testing and simulating'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 15:45'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.12';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.6'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 19:40'!
version013: spec
	<version: '0.13' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.12 : Added acquiring process strategy. Useful for testing and simulating
0.13 : Added a refresh mechanism. Seems to work okay'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 19:40'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.13';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.7'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 20:08'!
version014: spec
	<version: '0.14' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.13 : Added a refresh mechanism. Seems to work okay
0.14 : In sync with VisualWorks'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 20:08'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.14';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.7'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/13/2012 09:58'!
version015: spec
	<version: '0.15' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.14 : In sync with VisualWorks
0.15 : Added a simulator. Refined the tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2012 09:58'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.15';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/13/2012 10:03'!
version016: spec
	<version: '0.16' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.15 : Added a simulator. Refined the tests
0.16 : minor fix in the scenario for the simulation'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2012 10:03'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.16';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/13/2012 10:14'!
version017: spec
	<version: '0.17' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.16 : minor fix in the scenario for the simulation
0.17 : Sync with VW'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2012 10:14'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.17';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/13/2012 10:47'!
version018: spec
	<version: '0.18' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.17 : Sync with VW
0.18 : Added name to threads'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2012 10:47'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.18';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/14/2012 08:22'!
version019: spec
	<version: '0.19' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.18 : Added name to threads
0.19 : Making the VW port happy'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/14/2012 08:22'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.19';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/5/2012 14:40'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : First shoot!! Get a couple of green tests '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/5/2012 14:40'.
		spec package: 'Loom' with: 'Loom-AlexandreBergel.2'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/21/2012 11:35'!
version020: spec
	<version: '0.20' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.19 : Making the VW port happy
0.20 : Added filtering
0.20 : Added methods from VW'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/21/2012 11:35'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.21';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/21/2012 12:06'!
version021: spec
	<version: '0.21' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.20 : Added methods from VW
0.21 : Fix in threadsDo: and friends'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/21/2012 12:06'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.22';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/21/2012 16:36'!
version022: spec
	<version: '0.22' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.21 : Fix in threadsDo: and friends
0.22 : Worked on the rate. Note that the VW version number is desync with the version of Pharo'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/21/2012 16:36'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.23';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.8'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 15:27'!
version023: spec
	<version: '0.23' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.22 : Worked on the rate. Note that the VW version number is desync with the version of Pharo
0.23 : moved non deterministic tests into appropriate unit tests. added access to the idle threads'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 15:27'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.24';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 21:05'!
version024: spec
	<version: '0.24' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.23 : moved non deterministic tests into appropriate unit tests. added access to the idle threads
0.24 : Added commands'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 21:05'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.25';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 21:15'!
version025: spec
	<version: '0.25' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.24 : Added commands
0.25 : fixed #testTerminate due a VW specific behavior of Process>>terminate
Equivalent to 0.33 in VW'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 21:15'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.26';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 22:13'!
version026: spec
	<version: '0.26' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.25 : fixed #testTerminate due a VW specific behavior of Process>>terminate
Equivalent to 0.33 in VW
0.26 : Minor fix in the test to make VW happy'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 22:13'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.27';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 22:19'!
version027: spec
	<version: '0.27' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.26 : Minor fix in the test to make VW happy
0.27 : Releasing resources when closing a profiler'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 22:19'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.28';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/23/2012 22:23'!
version028: spec
	<version: '0.28' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.27 : Releasing resources when closing a profiler
0.28 : Typo'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/23/2012 22:23'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.29';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/27/2012 15:38'!
version029: spec
	<version: '0.29' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.28 : Typo
0.29 : increase the test coverage'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/27/2012 15:38'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.30';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/5/2012 15:33'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : First shoot!! Get a couple of green tests 
0.2 : Started to work on a Spec-based UI'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/5/2012 15:33'.
		spec package: 'Loom' with: 'Loom-AlexandreBergel.3'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/27/2012 15:49'!
version030: spec
	<version: '0.30' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.29 : increase the test coverage
0.30 : Added a small thread'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/27/2012 15:49'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.31';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/27/2012 15:50'!
version031: spec
	<version: '0.31' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.30 : Added a small thread'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/27/2012 15:50'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.31';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.9'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/5/2012 15:35'!
version03: spec
	<version: '0.3' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.2 : Started to work on a Spec-based UI
0.3 : Working on the UI'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/5/2012 15:35'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.3';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.1'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/5/2012 19:46'!
version04: spec
	<version: '0.4' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.3 : Working on the UI
0.4 : Working on a simple UI that lists the processes'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/5/2012 19:46'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.4';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.2'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/6/2012 09:28'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.4 : Working on a simple UI that lists the processes
0.5 : Worked on the inspector. Added an exported '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/6/2012 09:28'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.5';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.3'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/6/2012 10:15'!
version06: spec
	<version: '0.6' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.5 : Worked on the inspector. Added an exported 
0.6 : Migrating Loom to VW'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/6/2012 10:15'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.6';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.4'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/6/2012 10:25'!
version07: spec
	<version: '0.7' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.6 : Migrating Loom to VW
0.7 : Making the test platform independent'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/6/2012 10:25'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.7';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.5'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/11/2012 22:24'!
version08: spec
	<version: '0.8' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.7 : Making the test platform independent
0.8 : Added events and comments'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/11/2012 22:24'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.8';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.5'. ].
! !

!ConfigurationOfLoom methodsFor: 'versions' stamp: 'AlexandreBergel 9/11/2012 22:37'!
version09: spec
	<version: '0.9' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.8 : Added events and comments
0.9 : Minor fix when sync with VW'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/11/2012 22:37'.
		spec 
			package: 'Loom' with: 'Loom-AlexandreBergel.9';
			package: 'LoomPharo' with: 'LoomPharo-AlexandreBergel.5'. ].
! !
